using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BB_Zdanovich
{
    public partial class Form2 : Form
    {
        public Form2()
        {
            InitializeComponent();
        }

        private void Form2_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "bB_ZdanovichDataSet.Client". При необходимости она может быть перемещена или удалена.
            this.clientTableAdapter.Fill(this.bB_ZdanovichDataSet.Client);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "bB_ZdanovichDataSet.Service". При необходимости она может быть перемещена или удалена.
            this.serviceTableAdapter.Fill(this.bB_ZdanovichDataSet.Service);

        }

        private void button1_Click(object sender, EventArgs e)
        {
            // Добавление новой строки в таблицу
            clientBindingSource.AddNew();
        }

        private void button2_Click(object sender, EventArgs e)
        {
            // Удаление существующей строки в таблице
            clientBindingSource.RemoveCurrent();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            // Сохранение и обновление данных в таблице
            this.clientTableAdapter.Update(bB_ZdanovichDataSet.Client);
        }

        private void button4_Click(object sender, EventArgs e)
        {
            // Фильтрация данных по "Фамалии" в таблице
            clientBindingSource.Filter = "Фамилия = '" + comboBox1.Text + "'";
        }

        private void label2_Click(object sender, EventArgs e)
        {

        }

        private void button5_Click(object sender, EventArgs e)
        {
            // Фильтрация данных по "Полу" в таблице
            clientBindingSource.Filter = "Пол = '" + comboBox2.Text + "'";
        }

        private void button6_Click(object sender, EventArgs e)
        {
            // Отменяет все примененные фильтры
            clientBindingSource.Filter = "";
        }

        private void button7_Click(object sender, EventArgs e)
        {
            // Отменяет все примененные фильтры
            clientBindingSource.Filter = "";
        }

        private void button8_Click(object sender, EventArgs e)
        {
            // Закрытие формы по нажатию на крестик
            this.Close();
        }

        private void label4_Click(object sender, EventArgs e)
        {
            // Открытие form3 по нажатию на стрелочку
            Form3 f3 = new Form3();
            f3.Show();
        }
    }
}
